MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027160Community[OCCT] OCCT:Modeling Algorithmspublic2016-02-14 09:042017-12-05 16:59
ReporterRoman Lygin 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027160: Weird results of the pipe algorithm
DescriptionThe pipe algorithm produces a seemingly wrong result - the resulting surface is self-intersecting and has a U0 isoline (same as 2*PI) as self-intersecting in the beginning, although the path curve does not have such issues.

Another observation is that poles are very far distant from the path. This is a regular observation on the pipe algorithm.
Perhaps twisting and skewing has the same root-cause as in 0025426.
Steps To Reproducerestore path.rle p
tuya r p 0.2; fit #see fit.png
clear r; mkface f r; isos f 20; wz #see wz.png
uiso u0 r 0 #wrong isoline, self-intersecting
cvalue p 0 x y z d1z d1y d1z d2x d2y d2z
line l1 x y z d1x d1y d1z
line l2 x y z d2x d2y d2z
trim tl1 l1 0 1
trim tl2 l2 0 0.2 #see all.png, 1st and 2nd derivative seem OK without issues that might lead to self-intersections


TagsNo tags attached.
Test case numberbugs modalg_7 bug27160
Attached Fileszip file icon files.zip (36,959 bytes) 2016-02-14 09:04
png file icon fit.png (32,542 bytes) 2016-02-14 09:05
png file icon wz.png (33,685 bytes) 2016-02-14 09:05
png file icon all.png (37,359 bytes) 2016-02-14 09:05
png file icon path.png (27,974 bytes) 2016-02-14 09:08
? file icon bug27160 (694 bytes) 2017-09-04 15:33
? file icon bug27160_f.brep (158,025 bytes) 2017-09-04 15:36

- Relationships
related to 0025426newifv Community GeomFill_Pipe produces artefacts 
parent of 0029080newmsv Open CASCADE bopcheck work very slow. 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0070168)
mkv (tester)
2017-09-04 15:35

Problem described in issue is reproduced on current state of OCCT.

- Issue History
Date Modified Username Field Change
2016-02-14 09:04 Roman Lygin New Issue
2016-02-14 09:04 Roman Lygin Assigned To => msv
2016-02-14 09:04 Roman Lygin File Added: files.zip
2016-02-14 09:05 Roman Lygin File Added: fit.png
2016-02-14 09:05 Roman Lygin File Added: wz.png
2016-02-14 09:05 Roman Lygin File Added: all.png
2016-02-14 09:06 Roman Lygin Relationship added related to 0025426
2016-02-14 09:08 Roman Lygin File Added: path.png
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-21 11:34 msv Target Version 7.2.0 => 7.3.0
2017-09-04 15:33 mkv File Added: bug27160
2017-09-04 15:35 mkv Test case number => bugs modalg_7 bug27160
2017-09-04 15:35 mkv Note Added: 0070168
2017-09-04 15:36 mkv File Added: bug27160_f.brep
2017-09-04 16:37 mkv Relationship added parent of 0029080
2017-12-05 16:59 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker